Bug 441718 - Miro triggers SELinux warning (permisive mode)
Miro triggers SELinux warning (permisive mode)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Thorsten Scherf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 13:05 EDT by Peter Janakiev
Modified: 2009-01-09 01:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:21:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Janakiev 2008-04-09 13:05:10 EDT
Description of problem:
Starting Miro triggers the SELinux audit message


Version-Release number of selected component (if applicable):
Miro-1.2-1.fc8

How reproducible:
On new users only

Steps to Reproduce:
1. Create a new user or use one that has never used it before (does not have any
of it in its home dir)
2. Start miro from the menu
3.
  
Actual results: SELinux is preventing Miro (denies access) or triggers a warning
(in permisive mode)


Expected results:
Normal execution of the application


Additional info:
raw message from selinux:
host=localhost.localdomain type=AVC msg=audit(1207760214.807:62): avc: denied {
execheap } for pid=6479 comm="miro.real"
scontext=unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023
tcontext=unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023 tclass=process
host=localhost.localdomain type=SYSCALL msg=audit(1207760214.807:62):
arch=40000003 syscall=125 success=yes exit=0 a0=804a000 a1=38e000 a2=5
a3=bfa70bc0 items=0 ppid=6478 pid=6479 auid=501 uid=501 gid=100 euid=501
suid=501 fsuid=501 egid=100 sgid=100 fsgid=100 tty=(none) comm="miro.real"
exe="/usr/bin/python" subj=unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023
key=(null)
Comment 1 Bug Zapper 2008-11-26 05:27:24 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:21:43 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.